# Cookie class

Representation of a cookie. For cookies received by the server as Cookie header values only `name` and `value` fields will be set. When building a cookie for the 'set-cookie' header in the server and when receiving cookies in the client as 'set-cookie' headers all fields can be used.

## Constructors

Cookie([String name, String value ])
  Creates a new cookie optionally setting the name and value. [...]
  factory
Cookie.fromSetCookieValue(String value)
  Creates a new cookie by parsing a header value from a 'set-cookie' header.
  factory

## Properties

domain ↔ String
  Gets and sets the domain.
  read / write
expires ↔ DateTime
  Gets and sets the expiry date.
  read / write
httpOnly ↔ bool
  Gets and sets whether this cookie is HTTP only.
  read / write
maxAge ↔ int
  Gets and sets the max age. A value of `0` means delete cookie now.
  read / write
name ↔ String
  Gets and sets the name.
  read / write
path ↔ String
  Gets and sets the path.
  read / write
secure ↔ bool
  Gets and sets whether this cookie is secure.
  read / write
value ↔ String
  Gets and sets the value.
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns the formatted string representation of the cookie. The string representation can be used for for setting the Cookie or 'set-cookie' headers
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited